Zoey REST API reference ยท Interactive version: apidocs.zoey.com
POST https://container-url.zoeysite.com/api/rest/quotes2/quote_product
Add new products to the quote.
Example request body:
{
"quoteId": "4",
"products": [
{
"product_id": "1",
"qty": 1
}
]
}
Example response (Add Product), HTTP 200:
true
GET https://container-url.zoeysite.com/api/rest/quotes2/quote_product?id=4
Get all products from the quote.
Query parameters:
| Name | Example | Notes |
|---|---|---|
id | 4 | Quote ID. |
Example response (Add Product), HTTP 200:
true
PUT https://container-url.zoeysite.com/api/rest/quotes2/quote_product
Update the products on the quote.
Item identifier is required. You can identify an item by either:
Example request body:
{
"quoteId": "4",
"products": [
{
"product_id": "1",
"qty": 2
}
]
}
Example response (Add Product), HTTP 200:
true
DELETE https://container-url.zoeysite.com/api/rest/quotes2/quote_product
Delete products from the quote.
Item identifier is required. You can identify an item by either:
Example request body:
{
"quoteId": "4",
"products": [
{
"product_id": "1"
}
]
}
Example response (Add Product), HTTP 200:
true